LPSTAT(1V)

NAME
lpstat - display line printer status

SYNOPSIS
/usr/5bin/lpstat [ options ... ] [ id ... ]

DESCRIPTION
Lpstat displays information about the state of the line printer system.

If no options are specified, then lpstat displays all of the pending line printer requests queued on behalf of the user. Any arguments that are not valid options are assumed to be request IDs. In this case lpstat prints details of the named requests only.

The options may appear in any order, possibly interspersed with request IDs. Some of the options take a list of additional arguments; this list should be placed directly adjacent to the option letter. The items in the list may be separated by commas, spaces or a combination of both, although if spaces are used care must be taken to protect them from interpretation by the shell.

Omission of a list in such options causes all information relevant to the option to be displayed.

-d  Display the systemwide default destination for output requests.

-p[list]
    Display the status of printers. The list is a list of printer names.

-r  Display the status of the printer request scheduler.

-s  Display a status summary. This includes the status of the printer request scheduler, the systemwide default destination, and a list of printer names and their corresponding device names.

-t  Display all status information.

-u[list]
    Display status of requests for the listed users (listed by login names).

-v[list]
    Display the names of printers and the pathnames of the corresponding devices. The list names the printers to be displayed.

This utility operates in a eight-bit transparent manner.

SEE ALSO
lp(1V), cancel(1V)

BUGS
The following options are not currently available:

-a[list]
    Print acceptance status for destinations of output requests. The list consists of printer names and/or class names.

-c[list]
    Display class names and their members. The list may be used to restrict the output to certain named classes.

-o[list]
    Display the status of output requests. The list may name a mixture of request IDs, printer names and class names, as required.

The -s option doesn't print out a list of class names and their members.

The output of this command may not be what you expect it to be.

There is no support for printer classes.